Skip to main content
DELETE

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.

Path Parameters

id
string
required

Unique identifier of the user to delete

Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json

Optional resource transfer configuration. Specify targetUserId to transfer resources to another user. You can selectively choose which resource types to transfer (all enabled by default).

transferMeetingTypes
boolean
default:true

Whether to transfer meeting types

transferForms
boolean
default:true

Whether to transfer forms

transferWorkflows
boolean
default:true

Whether to transfer workflows/reminders

transferShowcases
boolean
default:true

Whether to transfer showcases/funnels

transferAvailabilities
boolean
default:true

Whether to transfer availabilities

transferQualifiers
boolean
default:true

Whether to transfer qualifiers

targetUserId
string<uuid>

ID of the user to transfer resources to

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

User deleted successfully